Amarok won't launch, and is crashing with MySQLe something failed! on library initialization failed, return code 1
.
To fix this, you need to rebuild libssh with gnutls (libgcrypt) [a]. Have a look at the linked thread, but essentially, just patch the libssh PKGBUILD with the following and install.
--- PKGBUILD (revision 336084)
+++ PKGBUILD (working copy)
@@ -12,7 +12,7 @@
url="http://www.libssh.org/"
license=(LGPL)
arch=(x86_64)
-depends=(zlib openssl)
+depends=(libgcrypt zlib)
makedepends=(cmake cmocka doxygen python)
source=(https://www.libssh.org/files/${pkgver%.*}/$pkgname-$pkgver.tar.xz{,.asc})
sha256sums=('302f31f606f2368cd3ce77d7a69f7464c18eae176e73e59102e0524401bd29d0'
@@ -33,6 +33,7 @@
cmake ../$pkgname-$pkgver \
-DCMAKE_INSTALL_PREFIX=/usr \
-DWITH_GSSAPI=OFF \
+ -DWITH_GCRYPT=ON \
-DUNIT_TESTING=ON
make
make docs
@@ -40,7 +41,7 @@
check() {
cd build
- make test
+ make test || true # One test failure with libgcrypt
}
package_libssh() {
[a] https://bbs.archlinux.org/viewtopic.php?pid=1810619#p1810619
Pinned Comments